Bug 8216 - Enable critic tests on SIP modules
Summary: Enable critic tests on SIP modules
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Colin Campbell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-09 10:32 UTC by Colin Campbell
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (10.73 KB, patch)
2012-06-09 10:40 UTC, Colin Campbell
Details | Diff | Splinter Review
Signed off patch (10.81 KB, patch)
2012-06-10 11:43 UTC, stacey
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-06-09 10:32:56 UTC
Paul remarked in relation to pushing a fix for another bug that SIP modules continued to issue a number of perlcritic warnings. This patch will add C4/SIP to the testcritic diirectories and address those issues which are warnings (mainly return undef and subroutine prototypes) it also removes some dead code that was no longer used.
Comment 1 Colin Campbell 2012-06-09 10:40:35 UTC Comment hidden (obsolete)
Comment 2 stacey 2012-06-10 11:43:38 UTC
Created attachment 10092 [details] [review]
Signed off patch
Comment 3 Ian Walls 2012-06-11 13:52:13 UTC
PBP patch; almost all changes to code are completely functionally equivalent to their old forms, but now conform to guidelines.  Marking as Passed QA.
Comment 4 Chris Cormack 2012-06-22 08:14:00 UTC
Enabling more tests = win, pushed to 3.8.x